#!/usr/local/bin/bash
#
# Update the system. Run in single user mode.

bailout () {
if [ "$?" -ne 0 ] ; then
    echo "Update2 has bailed out!!"
    echo "The command that failed was..."
    echo $cmd
    exit 1
fi
}

echo -n "Continue with installworld? [y/n]: "
read a 
if [ "$a" = n ] ; then
    exit 2
fi

bdir=/var/log/build
blog=$bdir/build.log

cmd="make installworld"
echo -n "Time for installworld:" >> $blog
cd /usr/src
\time -aho $blog make installworld
bailout
echo >> $blog

cmd="cp -Rp /etc /etc.old"
if [ -d /etc.old ] ; then
    rm -r /etc.old
fi    
cp -Rp /etc /etc.old
bailout

cmd="rm -r /var/tmp/temproot"
if [ -d /var/tmp/temproot ] ; then
    cd /var/tmp/temproot
    chflags -R noschg *
    cd
    rm -r /var/tmp/temproot
fi
bailout

cmd="mergemaster -a"
/usr/sbin/mergemaster -a
bailout

cmd="./MAKEDEV all"
cd /dev
./MAKEDEV all
bailout

cmd="make clean"
cd /usr/src/release/sysinstall
echo -n "Time for make clean:" >> $blog
\time -aho $blog make clean
bailout
echo >> $blog

cmd="make all install"
echo -n "Time for make all install:" >> $blog
\time -aho $blog make all install
bailout
echo >> $blog

echo "Finished!  Do ps and top work?"